﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace ParentChildDropDownInGrid
{
    public static class NoteTypes 
    {
        private static ObservableCollection<NoteType> _list;
        public static ObservableCollection<NoteType> List 
        {
        get
        {
            if (_list==null)
        {
        }
            return _list = GetList();
        }
        }
        public static ObservableCollection<NoteType> GetList()
        {
            var list = new ObservableCollection<NoteType>();
            NoteType noteType;

            noteType = new NoteType(1, "Note Type One");
            noteType.SubTypes.Add(new NoteSubType(1, "Note Type One - Sub Type One"));
            noteType.SubTypes.Add(new NoteSubType(2, "Note Type One - Sub Type Two"));

            list.Add(noteType);

            noteType = new NoteType(2, "Note Type Two");
            noteType.SubTypes.Add(new NoteSubType(1, "Note Type One - Sub Type One"));
            noteType.SubTypes.Add(new NoteSubType(2, "Note Type Two - Sub Type Two"));
            noteType.SubTypes.Add(new NoteSubType(3, "Note Type Two - Sub Type Three"));

            list.Add(noteType);

            return list;
        }
    }
}
